﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace sinema
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
    }
      class Sinema
    {
        int toplamKoltukSayisi=0;
        int bosKoltukSayisi=0;
        double bakiye=0;
        string salonNo;
       public int sayi,sayi2,ilk;
        const double TAM = 15.0;
        const double INDIRIMLI = 10.0;
       
        
        public Sinema(string salonn,int koltuksayi) //Kurucu Metot
        {
            toplamKoltukSayisi = koltuksayi;
            salonNo = salonn;
            bosKoltukSayisi = toplamKoltukSayisi;
            bakiye = 0;
 
        }
        
        public void BiletSat(bool indirimli) //Bilet Satış
        {
            bosKoltukSayisi--;
            if (indirimli)
                bakiye += INDIRIMLI;
            else
                bakiye += TAM;
        }
 
        public void BiletIptal(bool indirimli) //Bilet İade
        {
            bosKoltukSayisi++;
            if (indirimli)
                bakiye -= INDIRIMLI;
            else
                bakiye -= TAM;
        }
 
        public int BosKoltukOgren() //Boş koltuk Sayısı
        {
            return bosKoltukSayisi;
        }
 
        public double BakiyeOgren() //Bakiye Öğren
        {
            return bakiye;
        }
      
    }
}
